/**
 * encapsulates Transponer object of json response
 *
 * @param {TmaTransponder}	genre
 */
var TmaTransponder = (function() {

	function TmaTransponder(transponder) {

		// call super class constructor
		TmaTransponder._super.constructor.apply(this);

		// empty default data
		this.transponder_num= 0;
		this.sat_index		= 0;
		this.frequency		= 0;
		this.symbol_rate	= 0;
		this.channel_number	= 0;
		this.bandwidth		= 0;
		this.TSID			= 0;
		this.ONID			= 0;
		this.network_id		= 0;
		this.pilot			= 0;
		this.fec			= 0;
		this.modulation		= 0;
		this.mod_system		= 0;
		this.polarisation	= 0;
		this.lphp			= 0;
		this.clock_sync		= 0;

		this.channels		= [];

		/**
		 * blocking reservations
		 */
		this.blockings		= [];

		this.init(transponder);

	}

	JK.inherit(TmaTransponder, JKobject);


	return TmaTransponder;

})();
